org.modeshape.sequencer.javafile.metadata

## Class AbstractMetadata

- java.lang.Object
- - org.modeshape.sequencer.javafile.metadata.AbstractMetadata

- Direct Known Subclasses:
    FieldMetadata, MethodMetadata, PackageMetadata, TypeMetadata

      public abstract class AbstractMetadata
      extends Object

  Base class for the other type metadata used when retrieving information from the JDT compiler.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ABSTRACT`
    `static String` | `FINAL`
    `protected String` | `name`
    `static String` | `NATIVE`
    `static String` | `PRIVATE`
    `static String` | `PROTECTED`
    `static String` | `PUBLIC`
    `static String` | `STATIC`
    `static String` | `STRICT_FP`
    `static String` | `SYNCRHONIZED`
    `static String` | `TRANSIENT`
    `static String` | `VOLATILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMetadata()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationMetadata>` | `getAnnotations()`
    `List<ModifierMetadata>` | `getModifiers()`
    `String` | `getName()`
    `boolean` | `hasAbstractModifier()`
    `boolean` | `hasFinalModifier()`
    `boolean` | `hasNativeModifier()`
    `boolean` | `hasPrivateVisibility()`
    `boolean` | `hasProtectedVisibility()`
    `boolean` | `hasPublicVisibility()`
    `boolean` | `hasStaticModifier()`
    `boolean` | `hasStrictFPModifier()`
    `boolean` | `hasSynchronizedModifier()`
    `boolean` | `hasTransientModifier()`
    `boolean` | `hasVolatileModifier()`
    `void` | `setName(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATIC

          public static final String STATIC

      See Also:
        Constant Field Values

    - #### FINAL

          public static final String FINAL

      See Also:
        Constant Field Values

    - #### ABSTRACT

          public static final String ABSTRACT

      See Also:
        Constant Field Values

    - #### STRICT_FP

          public static final String STRICT_FP

      See Also:
        Constant Field Values

    - #### NATIVE

          public static final String NATIVE

      See Also:
        Constant Field Values

    - #### SYNCRHONIZED

          public static final String SYNCRHONIZED

      See Also:
        Constant Field Values

    - #### TRANSIENT

          public static final String TRANSIENT

      See Also:
        Constant Field Values

    - #### VOLATILE

          public static final String VOLATILE

      See Also:
        Constant Field Values

    - #### PUBLIC

          public static final String PUBLIC

      See Also:
        Constant Field Values

    - #### PROTECTED

          public static final String PROTECTED

      See Also:
        Constant Field Values

    - #### PRIVATE

          public static final String PRIVATE

      See Also:
        Constant Field Values

    - #### name

          protected String name

  - ### Constructor Detail

    - #### AbstractMetadata

          public AbstractMetadata()

  - ### Method Detail

    - #### getAnnotations

          public List<AnnotationMetadata> getAnnotations()

    - #### getModifiers

          public List<ModifierMetadata> getModifiers()

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### hasStaticModifier

          public boolean hasStaticModifier()

    - #### hasFinalModifier

          public boolean hasFinalModifier()

    - #### hasAbstractModifier

          public boolean hasAbstractModifier()

    - #### hasNativeModifier

          public boolean hasNativeModifier()

    - #### hasSynchronizedModifier

          public boolean hasSynchronizedModifier()

    - #### hasStrictFPModifier

          public boolean hasStrictFPModifier()

    - #### hasTransientModifier

          public boolean hasTransientModifier()

    - #### hasVolatileModifier

          public boolean hasVolatileModifier()

    - #### hasPublicVisibility

          public boolean hasPublicVisibility()

    - #### hasProtectedVisibility

          public boolean hasProtectedVisibility()

    - #### hasPrivateVisibility

          public boolean hasPrivateVisibility()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.